Create a newsletter (channel)
Creates a new WhatsApp newsletter/channel owned by the connected account. An optional base64-encoded picture sets the channel photo.
Creates a new WhatsApp newsletter/channel owned by the connected account. An optional base64-encoded picture sets the channel photo.
Authorization
bearerAuth Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Payload for creating a WhatsApp newsletter/channel.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/newsletters" \ -H "Content-Type: application/json" \ -d '{ "name": "Avisos WUTS", "description": "Canal oficial de avisos" }'{ "success": true, "newsletter": { "id": "string", "state": {}, "thread_metadata": { "name": {}, "description": {}, "invite": "string", "subscribers_count": "string", "verification": "string" }, "viewer_metadata": { "mute": "string", "role": "string" } }}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}Send a video message POST
Sends a video to a WUTS-connected WhatsApp recipient. The video may be supplied as base64 or downloaded from a URL, with optional thumbnail, duration, format conversion, view-once delivery, captions, and mentions. Large videos or conversions may be processed asynchronously, returning 202 with a job id.
Get newsletter info GET
Fetches the metadata of a WhatsApp newsletter/channel by its JID.